%define realname	mpc
%define libmajor	3
%define libname		%mklibname %{realname} %{libmajor}
%define libname_devel	%mklibname %{realname} -d

Summary:	Complex numbers arithmetic with arbitrarily high precision and correct rounding
Name:		libmpc
Version:	1.0
Release:	3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.multiprecision.org/%{realname}
Source0:	http://www.multiprecision.org/mpc/download/%{realname}-%{version}.tar.gz
BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel

%description
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Thveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname}
Summary:	Complex numbers arithmetic with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Thveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPC.

%prep
%setup -q -n %{realname}-%{version}
autoreconf -ifs

%build
%configure2_5x			\
	--enable-shared		\
	--disable-static

%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_docdir}/%{name}
install -m 0644 AUTHORS NEWS README TODO %{buildroot}%{_docdir}/%{name}

%check
make check

%files -n %{libname}
%{_libdir}/libmpc.so.%{libmajor}*

%files -n %{libname_devel}
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_includedir}/mpc.h
%{_infodir}/mpc.info*
%{_libdir}/libmpc.so

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0-3
+ Revision: 6cfda20
- MassBuild#440: Increase release tag


